Cloudpipe in Folsom: no such option: cnt_vpn_clients

Bug #1069573 reported by Han-sebastien on 2012-10-22
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Vish Ishaya
Folsom
Medium
Vish Ishaya
nova (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

Hi everyone,

I'm running OpenStack Folsom on Ubuntu 12.04 with Cloud Archive.
After setting up cloudpipe VPN according to the official docs, I ended up with a weird error in the logs while creating a new VPN.

My nova flags:

# Cloud pipe VPN
vpn_image_id=7799ae17-c85d-4b7c-89b2-8c8c3e659742
use_project_ca=True
vpn_instance_type=tiny
cnt_vpn_clients=10

The command was:

$ nova cloudpipe-create f34d8f7170034280a42f6318d1a4af34
ERROR: The server has either erred or is incapable of performing the requested operation. (HTTP 500) (Request-ID: req-8a835589-7e08-4bf8-a86c-745cda1056b9)

See below the logs of nova api:

2012-10-22 01:54:19 INFO nova.api.openstack.wsgi [req-da9e443c-f198-40ae-b490-8cc61c5f7e06 12ac184eebb04db686e72d097da3a3c4 0eec5c34a7a24a7a8ddad27cb81d2706] POST http://172.20.1.54:8774/v2/0eec5c34a7a24a7a8ddad27cb81d2706/os-cloudpipe
2012-10-22 01:54:19 ERROR nova.api.openstack [req-da9e443c-f198-40ae-b490-8cc61c5f7e06 project-vpn f34d8f7170034280a42f6318d1a4af34] Caught error: no such option: cnt_vpn_clients
2012-10-22 01:54:19 TRACE nova.api.openstack Traceback (most recent call last):
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/nova/api/openstack/__init__.py", line 78, in __call__
2012-10-22 01:54:19 TRACE nova.api.openstack return req.get_response(self.application)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/webob/request.py", line 1086, in get_response
2012-10-22 01:54:19 TRACE nova.api.openstack application, catch_exc_info=False)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/webob/request.py", line 1055, in call_application
2012-10-22 01:54:19 TRACE nova.api.openstack app_iter = application(self.environ, start_response)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/webob/dec.py", line 159, in __call__
2012-10-22 01:54:19 TRACE nova.api.openstack return resp(environ, start_response)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/keystone/middleware/auth_token.py", line 278, in __call__
2012-10-22 01:54:19 TRACE nova.api.openstack return self.app(env, start_response)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/webob/dec.py", line 159, in __call__
2012-10-22 01:54:19 TRACE nova.api.openstack return resp(environ, start_response)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/webob/dec.py", line 159, in __call__
2012-10-22 01:54:19 TRACE nova.api.openstack return resp(environ, start_response)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/webob/dec.py", line 159, in __call__
2012-10-22 01:54:19 TRACE nova.api.openstack return resp(environ, start_response)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/routes/middleware.py", line 131, in __call__
2012-10-22 01:54:19 TRACE nova.api.openstack response = self.app(environ, start_response)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/webob/dec.py", line 159, in __call__
2012-10-22 01:54:19 TRACE nova.api.openstack return resp(environ, start_response)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/webob/dec.py", line 147, in __call__
2012-10-22 01:54:19 TRACE nova.api.openstack resp = self.call_func(req, *args, **self.kwargs)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/webob/dec.py", line 210, in call_func
2012-10-22 01:54:19 TRACE nova.api.openstack return self.func(req, *args, **kwargs)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/nova/api/openstack/wsgi.py", line 885, in __call__
2012-10-22 01:54:19 TRACE nova.api.openstack content_type, body, accept)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/nova/api/openstack/wsgi.py", line 933, in _process_stack
2012-10-22 01:54:19 TRACE nova.api.openstack action_result = self.dispatch(meth, request, action_args)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/nova/api/openstack/wsgi.py", line 1021, in dispatch
2012-10-22 01:54:19 TRACE nova.api.openstack return method(req=request, **action_args)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/nova/api/openstack/compute/contrib/cloudpipe.py", line 139, in create
2012-10-22 01:54:19 TRACE nova.api.openstack result = self.cloudpipe.launch_vpn_instance(context)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/nova/cloudpipe/pipelib.py", line 110, in launch_vpn_instance
2012-10-22 01:54:19 TRACE nova.api.openstack user_data = self.get_encoded_zip(context.project_id)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/nova/cloudpipe/pipelib.py", line 79, in get_encoded_zip
2012-10-22 01:54:19 TRACE nova.api.openstack num_vpn=FLAGS.cnt_vpn_clients)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/nova/openstack/common/cfg.py", line 1039, in __getattr__
2012-10-22 01:54:19 TRACE nova.api.openstack return self._get(name)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/nova/openstack/common/cfg.py", line 1361, in _get
2012-10-22 01:54:19 TRACE nova.api.openstack value = self._substitute(self._do_get(name, group))
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/nova/openstack/common/cfg.py", line 1377, in _do_get
2012-10-22 01:54:19 TRACE nova.api.openstack info = self._get_opt_info(name, group)
2012-10-22 01:54:19 TRACE nova.api.openstack File "/usr/lib/python2.7/dist-packages/nova/openstack/common/cfg.py", line 1470, in _get_opt_info
2012-10-22 01:54:19 TRACE nova.api.openstack raise NoSuchOptError(opt_name, group)
2012-10-22 01:54:19 TRACE nova.api.openstack NoSuchOptError: no such option: cnt_vpn_clients
2012-10-22 01:54:19 TRACE nova.api.openstack

No matter this flag is present or not in my conf, it seems to be required. I might be wrong, but it looks like the flag is not declare and should be...

Any idea?

Thank you in advance ;-)

Fix proposed to branch: master
Review: https://review.openstack.org/14608

Changed in nova:
assignee: nobody → Vish Ishaya (vishvananda)
status: New → In Progress
tags: added: folsom-backport-potential
Changed in nova:
importance: Undecided → Medium

Reviewed: https://review.openstack.org/14608
Committed: http://github.com/openstack/nova/commit/ae6920fb6b367b5aa75e02c72275e3149d02cd70
Submitter: Jenkins
Branch: master

commit ae6920fb6b367b5aa75e02c72275e3149d02cd70
Author: Vishvananda Ishaya <email address hidden>
Date: Mon Oct 22 10:11:08 2012 -0700

    Declare vpn client option in pipelib

    Due to some import refactoring, nova.network.manager isn't always
    imported when running pipelib commands, so using the cnt_vpn_clients
    option fails. A failing test could not be added because our testing
    code imports nova.network.manager so the code config option always
    exists in testing.

    Fixes bug 1069573

    Change-Id: I92b702556bfef2610b86a952dd6f9207fbab102a

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-11-21
Changed in nova:
milestone: none → grizzly-1
status: Fix Committed → Fix Released
tags: removed: folsom-backport-potential

Reviewed: https://review.openstack.org/16689
Committed: http://github.com/openstack/nova/commit/69663ee1b346ce96040b2efec132085515f351e4
Submitter: Jenkins
Branch: stable/folsom

commit 69663ee1b346ce96040b2efec132085515f351e4
Author: Vishvananda Ishaya <email address hidden>
Date: Mon Oct 22 10:11:08 2012 -0700

    Declare vpn client option in pipelib

    Due to some import refactoring, nova.network.manager isn't always
    imported when running pipelib commands, so using the cnt_vpn_clients
    option fails. A failing test could not be added because our testing
    code imports nova.network.manager so the code config option always
    exists in testing.

    Fixes bug 1069573

    Change-Id: I92b702556bfef2610b86a952dd6f9207fbab102a
    (cherry picked from commit ae6920fb6b367b5aa75e02c72275e3149d02cd70)

Changed in nova (Ubuntu):
status: New → Fix Released
Changed in nova (Ubuntu Quantal):
status: New → Confirmed

Hello Han-sebastien, or anyone else affected,

Accepted nova into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/2012.2.1+stable-20121212-a99a802e-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Quantal):
status: Confirmed → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (8.3 KiB)

This bug was fixed in the package nova - 2012.2.1+stable-20121212-a99a802e-0ubuntu1

---------------
nova (2012.2.1+stable-20121212-a99a802e-0ubuntu1) quantal-proposed; urgency=low

  * Ubuntu updates:
    - debian/control: Ensure novaclient is upgraded with nova,
      require python-keystoneclient >= 1:2.9.0. (LP: #1073289)
    - d/p/avoid_setuptools_git_dependency.patch: Refresh.
  * Dropped patches, applied upstream:
    - debian/patches/CVE-2012-5625.patch: [a99a802]
  * Resynchronize with stable/folsom (b55014ca) (LP: #1085255):
    - [a99a802] create_lvm_image allocates dirty blocks (LP: #1070539)
    - [670b388] RPC exchange name defaults to 'openstack' (LP: #1083944)
    - [3ede373] disassociate_floating_ip with multi_host=True fails
      (LP: #1074437)
    - [22d7c3b] libvirt imagecache should handle shared image storage
      (LP: #1075018)
    - [e787786] Detached and deleted RBD volumes remain associated with insance
      (LP: #1083818)
    - [9265eb0] live_migration missing migrate_data parameter in Hyper-V driver
      (LP: #1066513)
    - [3d99848] use_single_default_gateway does not function correctly
      (LP: #1075859)
    - [65a2d0a] resize does not migrate DHCP host information (LP: #1065440)
    - [102c76b] Nova backup image fails (LP: #1065053)
    - [48a3521] Fix config-file overrides for nova-dhcpbridge
    - [69663ee] Cloudpipe in Folsom: no such option: cnt_vpn_clients
      (LP: #1069573)
    - [6e47cc8] DisassociateAddress can cause Internal Server Error
      (LP: #1080406)
    - [22c3d7b] API calls to dis-associate an auto-assigned floating IP should
      return proper warning (LP: #1061499)
    - [bd11d15] libvirt: if exception raised during volume_detach, volume state
      is inconsistent (LP: #1057756)
    - [dcb59c3] admin can't describe all images in ec2 api (LP: #1070138)
    - [78de622] Incorrect Exception raised during Create server when metadata
      over 255 characters (LP: #1004007)
    - [c313de4] Fixed IP isn't released before updating DHCP host file
      (LP: #1078718)
    - [f4ab42d] Enabling Return Reservation ID with XML create server request
      returns no body (LP: #1061124)
    - [3db2a38] 'BackupCreate' should accept rotation parameter greater than or
      equal to zero (LP: #1071168)
    - [f7e5dde] libvirt reboot sometimes fails to reattach volumes
      (LP: #1073720)
    - [ff776d4] libvirt: detaching volume may fail while terminating other
      instances on the same host concurrently (LP: #1060836)
    - [85a8bc2] Used instance uuid rather than id in remove-fixed-ip
    - [42a85c0] Fix error on invalid delete_on_termination value
    - [6a17579] xenapi migrations fail w/ swap (LP: #1064083)
    - [97649b8] attach-time field for volumes is not updated for detach volume
      (LP: #1056122)
    - [8f6a718] libvirt: rebuild is not using kernel and ramdisk associated with
      the new image (LP: #1060925)
    - [fbe835f] live-migration and volume host assignement (LP: #1066887)
    - [c2a9150] typo prevents volume_tmp_dir flag from working (LP: #1071536)
    - [93efa21] Instances deleted during spawn leak network allocations
      (LP: #1068716)
    - [ebabd02] After restartin...

Read more...

Changed in nova (Ubuntu Quantal):
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in nova:
milestone: grizzly-1 → 2013.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers